on clicked theObject
	-- Applescript
	-- Apply only to an already saved file.
	-- Claus Gerhardt, Dec. 2003
	
	(* The subroutine setnamebbedit returns baseName, texName, pdfName, namePath, dirName, dirNameunquoted, and saves the document of window texName.
*)
	
	tell application "TeXShop"
		get path of document of window 1
		set fileName to result
	end tell
	set scriptPath to (do shell script "dirname " & "~/Library/Flashmode/Subroutines/ex")
	set scriptPath to scriptPath & "/setnametsn.scpt"
	set scriptName to POSIX file scriptPath as alias
	set scriptLiB to (load script scriptName)
	tell scriptLiB
		set {baseName, texName, pdfName, namePath, dirName, dirNameunquoted, logName, logPath, rtfName} to setnametsn(fileName)
	end tell
	
	set htlmName to namePath & ".html"
	
	set shellScript to "cd " & dirName & ";"
	set shellScript to shellScript & "~/Library/Flashmode/bin/htlatex_html  " & baseName & " " & "align,2"
	do shell script shellScript
	
	
	set htmlFile to alias POSIX file htlmName
	
	tell application "Safari"
		activate
		open htmlFile
	end tell
	
	
end clicked

